<?php

namespace EventPortal\Http\Controllers;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Form\Facades\Form;
use EventPortal\Domain\Util\Render;
use Illuminate\Support\Facades\Auth;

class ContactController
{
    public function index(Event $event)
    {
        $form = Form::make('contact.create')->context(Auth::user());

        return Render::component('Delegate/Contact/Index')
            ->key('contact.index')
            ->withForm($form->render())
            ->get();
    }

    public function store(Event $event, ContactEvent $contactEvent)
    {
        $event->contact();
    }
}
